﻿using UnityEngine;
using UnityEngine.UI;
using System.Collections;

public class look_input : MonoBehaviour
{
	public static look_input _singleton;
	public Camera cam;
	public GameObject target = null;
	public Transform floor;
	public Transform player;
	public Transform man;
	public Transform boy;

	private RaycastHit hit;
	private bool targetack = false;

	void Awake ()
	{
		if (_singleton == null) {
			DontDestroyOnLoad(gameObject);
			_singleton = this;
		} else if (_singleton != this){
			Destroy(this);
		}
	}

	void Start ()
	{
		hit = new RaycastHit ();
	}

	void Update ()
	{
		Ray lookray = cam.ScreenPointToRay (new Vector3 (Screen.width / 2, Screen.height / 2, 0));
		Physics.Raycast (lookray, out hit);
		if (hit.transform != null && (hit.transform == man || hit.transform == boy) && hit.transform != player && !targetack) {
			targetack = true;
			target = hit.transform.gameObject;
			target.GetComponent<Renderer> ().material.color = Color.red;
		} //else if ((hit.transform == null || hit.transform == floor || hit.transform == player || (hit.transform != man && hit.transform != boy)) && targetack) {
		else if ((hit.transform != man && hit.transform != boy) && targetack) {
			targetack = false;
			target.GetComponent<Renderer> ().material.color = Color.white;
			target = null;
		}
	}
}
